org.apache.thrift.server

## Class TNonblockingServer.AbstractNonblockingServerArgs<T extends TNonblockingServer.AbstractNonblockingServerArgs<T>>

- java.lang.Object
- - org.apache.thrift.server.TServer.AbstractServerArgs<T>
  - - org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs<T>

- Direct Known Subclasses:
    THsHaServer.Args, TNonblockingServer.Args
  Enclosing class:
    TNonblockingServer

      public abstract static class TNonblockingServer.AbstractNonblockingServerArgs<T extends TNonblockingServer.AbstractNonblockingServerArgs<T>>
      extends TServer.AbstractServerArgs<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `maxReadBufferBytes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TNonblockingServer.AbstractNonblockingServerArgs(TNonblockingServerTransport transport)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.thrift.server.TServer.AbstractServerArgs

      `inputProtocolFactory, inputTransportFactory, outputProtocolFactory, outputTransportFactory, processor, processorFactory, protocolFactory, transportFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### maxReadBufferBytes

          public long maxReadBufferBytes

  - ### Constructor Detail

    - #### TNonblockingServer.AbstractNonblockingServerArgs

          public TNonblockingServer.AbstractNonblockingServerArgs(TNonblockingServerTransport transport)